LocalAlignmentBlock (NeoBio API)

Overview | Package | Class | Tree | Index | Help
| NeoBio API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## neobio.alignment
Class LocalAlignmentBlock

    java.lang.Object
      |
      +--neobio.alignment.AlignmentBlock
            |
            +--neobio.alignment.LocalAlignmentBlock

public class LocalAlignmentBlock
extends AlignmentBlock

This class is used by the CrochemoreLandauZivUkelsonLocalAlignment algorithm to store the information of an alignment block. All fields are public (but final) in order to simplify the access to the data.

For more information on how this class is used, please refer to the specification of the `CrochemoreLandauZivUkelsonLocalAlignment` class.

Author:
  Sergio A. de Carvalho Jr.
See Also:
  `CrochemoreLandauZivUkelsonLocalAlignment`

Field Summary
`int` | `C` The value of the highest scoring path contained in this block, called C-path.
`LocalAlignmentBlock[]` | `E_path_ancestor` An array of pointers to blocks that are source of E-paths.
`int[]` | `E_path_ancestor_index` Indexes of of the entry in the ancestor block that is the source of the E-path.
`int[]` | `E_path_score` The value of the highest scoring path which starts at the input border of this block and ends inside it, called E-path.
`byte[]` | `path_type` The type of the highest scoring path ending at a given position of the output border of a block.
`byte` | `S_direction` The direction to the source of the S-path of the new vertex of this block.
`int[]` | `S_path_score` The value of the highest scoring path which starts inside the block and ends at its output border.

Fields inherited from class neobio.alignment.AlignmentBlock
`ancestor, direction, dist_column, factor1, factor2, output_border, source_path`

Constructor Summary
`(package private)` | `LocalAlignmentBlock(Factor factor1, Factor factor2)` Creates a new root block.
`(package private)` | `LocalAlignmentBlock(Factor factor1, Factor factor2, int size)` Creates a new alignment block, with all arrays created with the specified size.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### E_path_score

    public int[] E_path_score

  The value of the highest scoring path which starts at the input border of this block and ends inside it, called E-path.

### E_path_ancestor

    public LocalAlignmentBlock[] E_path_ancestor

  An array of pointers to blocks that are source of E-paths.

### E_path_ancestor_index

    public int[] E_path_ancestor_index

  Indexes of of the entry in the ancestor block that is the source of the E-path.

### S_path_score

    public int[] S_path_score

  The value of the highest scoring path which starts inside the block and ends at its output border.

### path_type

    public byte[] path_type

  The type of the highest scoring path ending at a given position of the output border of a block.

### S_direction

    public byte S_direction

  The direction to the source of the S-path of the new vertex of this block.

### C

    public int C

  The value of the highest scoring path contained in this block, called C-path.

Constructor Detail

### LocalAlignmentBlock

    LocalAlignmentBlock(Factor factor1,
                        Factor factor2)

  Creates a new root block.

Parameters:
  `factor1` - factor of the first sequence being aligned
  `factor2` - factor of the second sequence being aligned

### LocalAlignmentBlock

    LocalAlignmentBlock(Factor factor1,
                        Factor factor2,
                        int size)

  Creates a new alignment block, with all arrays created with the specified size.

Parameters:
  `factor1` - factor of the first sequence being aligned
  `factor2` - factor of the second sequence being aligned
  `size` - size of the arrays to be created

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://neobio.sourceforge.net
NeoBio is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. NeoBio is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with NeoBio; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.